Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.placeholder.model
Class PlaceholderModelDocument

    java.lang.Object
      com.bea.p13n.model.DefaultDocumentModel
          com.bea.p13n.placeholder.model.PlaceholderModelDocument

All Implemented Interfaces
  DocumentModel, Serializable

    public class PlaceholderModelDocument

extends DefaultDocumentModel

A default model document for PlaceholderModels. This also provides common methods for parsing and writing placeholder xml in the preferred manner.

See Also
  Serialized Form

Field Summary
`static String` | `schemaLocation` The xsi:schemaLocation value for placeholder documents.
`static Map<String,String>` | `suggestedPrefixes` The unmodifiable map of namespace uri to preferred prefix for placeholder xml.

Constructor Summary
`PlaceholderModelDocument(InputStream in)` Constructor from an input stream.
`PlaceholderModelDocument(PlaceholderModel ph)` Constructor from PlaceholderModel.
`PlaceholderModelDocument(Reader in)` Constructor from an input reader.
`PlaceholderModelDocument(String in)` Constructor from xml.

Method Summary
`static org.apache.xmlbeans.XmlOptions` | `getSaveOptions()` Get default XmlOptions for saving/outputting placeholder xml.
`static PlaceholderModel` | `parsePlaceholderModel(InputStream xml, Collection errors)` Parse a placeholder model from an input stream
`static PlaceholderModel` | `parsePlaceholderModel(Reader xml, Collection errors)` Parse a placeholder model from a reader.
`static PlaceholderModel` | `parsePlaceholderModel(String xml, Collection errors)` Parse a placeholder model from xml.
`static com.bea.p13n.placeholder.schema.PlaceholderDocument` | `prepareForSave(PlaceholderModel ph, String encoding, org.apache.xmlbeans.XmlOptions opts)` Prepare a PlaceholderDocument xml object from the PlaceholderModel.
`static InputStream` | `toInputStream(PlaceholderModel ph)` Get an input stream of the specified PlaceholderModel's xml.
`static InputStream` | `toInputStream(PlaceholderModel ph, String encoding)` Get an input stream of the specified PlaceholderModel's xml.
`static Reader` | `toReader(PlaceholderModel ph)` Get a reader of the specified PlaceholderModel's xml.
`static Reader` | `toReader(PlaceholderModel ph, String encoding)` Get a reader of the specified PlaceholderModel's xml.
`static String` | `toString(PlaceholderModel ph)` Get the specified PlaceholderModel's xml.
`static String` | `toString(PlaceholderModel ph, String encoding)` Get the specified PlaceholderModel's xml.

Methods inherited from class com.bea.p13n.model.DefaultDocumentModel
`addChangeListener, getRootModel, modelChildAdded, modelChildRemoved, modelPropertyChanged, removeChangeListener, setRootModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### suggestedPrefixes

    public static final Map<String,String> suggestedPrefixes

  The unmodifiable map of namespace uri to preferred prefix for placeholder xml.

### schemaLocation

    public static final String schemaLocation

  The xsi:schemaLocation value for placeholder documents.

  See Also
    Constants Summary

Constructor Detail

### PlaceholderModelDocument

    public PlaceholderModelDocument(PlaceholderModel ph)

  Constructor from PlaceholderModel.

### PlaceholderModelDocument

    public PlaceholderModelDocument(Reader in)
                             throws org.apache.xmlbeans.XmlException,
                                    IllegalArgumentException,
                                    IOException

  Constructor from an input reader.

  Throws
    `org.apache.xmlbeans.XmlException` - on a parsing exception
    `IllegalArgumentException` - if the xml is not valid for PlaceholderModel.
    `IOException` - on an error reading from the stream.

### PlaceholderModelDocument

    public PlaceholderModelDocument(InputStream in)
                             throws org.apache.xmlbeans.XmlException,
                                    IllegalArgumentException,
                                    IOException

  Constructor from an input stream.

  Throws
    `org.apache.xmlbeans.XmlException` - on a parsing exception
    `IllegalArgumentException` - if the xml is not valid for PlaceholderModel.
    `IOException` - on an error reading from the stream.

### PlaceholderModelDocument

    public PlaceholderModelDocument(String in)
                             throws org.apache.xmlbeans.XmlException,
                                    IllegalArgumentException

  Constructor from xml.

  Throws
    `org.apache.xmlbeans.XmlException` - on a parsing exception
    `IllegalArgumentException` - if the xml is not valid for PlaceholderModel.

Method Detail

### parsePlaceholderModel

    public static PlaceholderModel parsePlaceholderModel(String xml,
                                                         Collection errors)
                                                  throws org.apache.xmlbeans.XmlException,
                                                         IllegalArgumentException

  Parse a placeholder model from xml.

  Parameters
    `xml` - the xml string.
    `errors` - a collection to store any XmlErrors from the parse.
  Returns
    the PlaceholderModel, initialized from the xml.
  Throws
    `org.apache.xmlbeans.XmlException` - on a parsing exception
    `IllegalArgumentException` - if the xml is not valid for PlaceholderModel.

### parsePlaceholderModel

    public static PlaceholderModel parsePlaceholderModel(Reader xml,
                                                         Collection errors)
                                                  throws org.apache.xmlbeans.XmlException,
                                                         IllegalArgumentException,
                                                         IOException

  Parse a placeholder model from a reader.

  Parameters
    `xml` - the xml reader
    `errors` - a collection to store any XmlErrors from the parse.
  Returns
    the PlaceholderModel, initialized from the xml.
  Throws
    `org.apache.xmlbeans.XmlException` - on a parsing exception.
    `IllegalArgumentException` - if the xml is not valid for PlaceholderModel.
    `IOException` - on an error reading from the stream.

### parsePlaceholderModel

    public static PlaceholderModel parsePlaceholderModel(InputStream xml,
                                                         Collection errors)
                                                  throws org.apache.xmlbeans.XmlException,
                                                         IllegalArgumentException,
                                                         IOException

  Parse a placeholder model from an input stream

  Parameters
    `xml` - the xml input stream.
    `errors` - a collection to store any XmlErrors from the parse.
  Returns
    the PlaceholderModel, initialized from the xml.
  Throws
    `org.apache.xmlbeans.XmlException` - on a parsing exception.
    `IllegalArgumentException` - if the xml is not valid for PlaceholderModel.
    `IOException` - on an error reading from the stream.

### getSaveOptions

    public static org.apache.xmlbeans.XmlOptions getSaveOptions()

  Get default XmlOptions for saving/outputting placeholder xml.

  See Also
    `suggestedPrefixes`

### prepareForSave

    public static com.bea.p13n.placeholder.schema.PlaceholderDocument prepareForSave(PlaceholderModel ph,
                                                                                     String encoding,
                                                                                     org.apache.xmlbeans.XmlOptions opts)

  Prepare a PlaceholderDocument xml object from the PlaceholderModel. This will save the encoding on the xml object and in the XmlOptions. The returned PlaceholderDocument and modified XmlOptions can then be used to generate the xml.

  Parameters
    `ph` - the placeholder model.
    `encoding` - the encoding to use, null for default.
    `opts` - the opts to modify appropriately.

### toInputStream

    public static InputStream toInputStream(PlaceholderModel ph)

  Get an input stream of the specified PlaceholderModel's xml.

### toInputStream

    public static InputStream toInputStream(PlaceholderModel ph,
                                            String encoding)

  Get an input stream of the specified PlaceholderModel's xml.

### toReader

    public static Reader toReader(PlaceholderModel ph)

  Get a reader of the specified PlaceholderModel's xml.

### toReader

    public static Reader toReader(PlaceholderModel ph,
                                  String encoding)

  Get a reader of the specified PlaceholderModel's xml.

  Parameters
    `ph` - the placeholder model.
    `encoding` - the character encoding to use, null for model's default encoding

### toString

    public static String toString(PlaceholderModel ph)

  Get the specified PlaceholderModel's xml.

### toString

    public static String toString(PlaceholderModel ph,
                                  String encoding)

  Get the specified PlaceholderModel's xml.

  Parameters
    `ph` - the placeholder model.
    `encoding` - the character encoding to use, null for model's default encoding

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.